# &kde; användarhandbok

David
Faure

    faure@kde.org

Waldo
Bastian

    bastian@kde.org

2010-10-28
&kde; 4.5
kded4
8

# `kded4`

&kde; demon - utlöser uppdateringar av Sycoca-databasen vid behov.

## Översikt

    kded4 --help Allmänna väljare Qt-väljare KDE-väljare --check

## Beskrivning

`kded4` är ansvarig för att skapa sycoca-filen, dvs. den binära cache av tjänsttyper, Mime-typer och tjänster för en viss användare.

Den övervakar katalogerna som innehåller .desktop-filer. När en fil läggs till eller tas bort, väntar den 5 sekunder (i händelse av en serie uppdateringar), och startar därefter `kbuildsycoca4` för att uppdatera systemkonfigurationscachen.

Den kontrollerar nyligen installerade uppdateringsfiler, dvs. filerna *.upd som används för att uppdatera användarnas inställningsfiler när filernas format ändras. `kconf_update` startas för att utföra uppdateringarna.

När värddatornamnet ändras, gör den nödvändiga ändringar i KDE:s miljö och i X-servern för att tillåta fortsatt riktig funktion, genom att starta `kdontchangethehostname` för att utföra ändringarna.

Dessa aktiviteter utförs också alltid när kded4 startar för att försäkra att användarens inställningar är aktuella.

Den är också ansvarig för att starta kded4-moduler på begäran och initiera aktiverade kded4-moduler som:

`Ladda Konqueror webbläsare i förväg`

  Minskar Konquerors starttid.

`Katalogövervakare`

  Övervakar katalogändringar.

`Hårdvarudetektering`

  Tillhandahåller ett användargränssnitt för hårdvaruhändelser.

`SSL-certifikatpolicy`

  Tillhandahåller the user configured SSL-certifikatpolicyn till program.

`Inställning av nätverksproxy`

  Automatisk proxyinställning.

`Lösenordslagring`

  Tillfällig lagring av lösenord, till exempel så att en webbsida med HTTP behörighetskontroll inte frågar efter lösenordet för varje länk och varje bild på sidan. Lösenorden glöms bort när KDE avslutas (till skillnad från plånboken `KWallet`).

`Ljudpolicy`

  Tillhandahåller systemets ljudpolicy till program.

`Favoritikoner`

  Lagrar webbplatsikoner.

`Skärmhantering`

  Hanterar skärmar och videoutgångar.

`Kakburk`

  Lagrar nätverkskakor.

`Nätverksövervakare`

  Håller reda på nätverket och uppdaterar kataloglistningar för I/O-slaven network:/.

`Subversion-modul`

  Tillhandahåller diverse åtgärder i Subversion för filhanteraren och annan programvara.

`Nätverksstatus`

  Följer status hos nätverksgränssnitt och tillhandahåller underrättelser till program som använder nätverket.

`Skrivdemon`

  Titta efter meddelanden från lokala användare som skickas med write(1) eller wall(1).

`Bevakning av underrättelseområde`

  Håller reda på program som vill använda det D-Bus baserade underrättelseområdet.

`Kmixd`

  Kmixd mixertjänst

`Systembricka-demon`

  Håller reda på program som vill använda den D-Bus baserade systembrickan.

`Tangentbordsdemon`

  Håller reda på tangentbordsändringar (nytt tangentbord, ändrad layout).

`Underrättelse om ändring av fjärrwebbadresser`

  Tillhandahåller ändringsunderrättelser för nätverkskataloger

`Aktivitetshanterare`

  Nepomuk-aktivitetshanterarens gränssnitt

`Skärmhantering bildskärmsbyte`

  Underrättar om hur bildskärmen har roterats (om tillgängligt)

`Information om ledigt utrymme`

  Varnar när utrymmet i hemkatalogen håller på att ta slut.

`Automatisk montering av flyttbara enheter`

  Monterar automatiskt enheter efter behov.

`Nepomuk-sökmodul`

  Hjälpmodul för I/O-slavar för att försäkra att automatisk uppdatering görs av Nepomuks söklistor.

`Strömsparhantering`

  Hantering och underrättelser om batteriets, skärmens och processorns strömförbrukning.

`K-fjärrkontrolldemon`

  Hanterar mottagna fjärrkontrollkommandon

`Hantering av statusunderrättelser`

  Hanterar tjänster som tillhandahåller användargränssnitt för statusunderrättelser.

`Övervakning av DNS-SD tjänstupptäckt`

  Övervakar nätverket för att hitta DNS-SD tjänster.

`Utmatning av enheter`

  Avmonterar och frisläpper automatiskt enheter vid tryck på deras utmatningsknapp.

`Tidszon`

  Tillhandahåller systemets tidszoner till program.

`Inmatningsåtgärder`

  Tjänst för inmatningsåtgärder som utför inställda åtgärder vid tangentnedtryckning.

Initieringsmodulerna kan aktiveras eller inaktiveras genom att använda `systemsettings`, med Systemadministration -> Start och avstängning -> Tjänsthanterare.

## Allmänna väljare

`--author`

  Visa information om upphovsman.

`--help`

  Visa hjälp om väljare.

`--help-all`

  Visa alla väljare.

`--help-kde`

  Visa KDE-specifika väljare.

`--help-qt`

  Visa Qt-specifika väljare.

`--license`

  Visa licensinformation.

`-v` `--version`

  Visa versionsinformation

## Programväljare

`--check`

  Kontrollera bara Sycoca-databasen en gång.

## Användning

Om `kded4` anropas utan väljare och redan kör, visar den meddelandet:

    KDE-demonen (kded) kör redan.

Om `kded4` anropas med `kded4 --check`, uppdaterar den &kde;:s sycoca genom att använda `kbuildsycoca4`.

## Se också

kdeoptions(7), qtoptions(7), kbuildsycoca4(8)

## Fel

Det finns troligen en massa fel. Använd bugs.kde.org för att rapportera dem.